From: Kevin Murray <spam@kdmurray.id.au>
Date: Wed, 11 Nov 2015 14:19:38 +1100
Subject: Dynamically link to libqes

---
 src/CMakeLists.txt   | 2 +-
 tests/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index bc989b5..4dba402 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -24,7 +24,7 @@ IF (NOT GSL_FOUND)
 ENDIF()
 
 ADD_LIBRARY(axelib STATIC ${AXELIB_SRCS})
-TARGET_LINK_LIBRARIES(axelib qes_static ${AXE_DEP_LIBS})
+TARGET_LINK_LIBRARIES(axelib qes ${AXE_DEP_LIBS})
 SET_TARGET_PROPERTIES(axelib PROPERTIES OUTPUT_NAME axe)
 
 # Executable
diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
index 8f31a54..8c3f62e 100644
--- a/tests/CMakeLists.txt
+++ b/tests/CMakeLists.txt
@@ -1,7 +1,7 @@
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/tinytest)
 
 ADD_EXECUTABLE(test_axe test.c ${CMAKE_CURRENT_SOURCE_DIR}/tinytest/tinytest.c test_libaxe.c)
-TARGET_LINK_LIBRARIES(test_axe ${AXE_DEPENDS_LIBRARIES} axelib qes_static)
+TARGET_LINK_LIBRARIES(test_axe ${AXE_DEPENDS_LIBRARIES} axelib qes)
 
 # Copy test files over to bin dir & make output
 ADD_CUSTOM_TARGET(setup_tests ALL
